
%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End:

\ctitle{反应堆物理数值计算GPU \\ 加速方法研究}

\cdegree{工学硕士}


\cdepartment[工物]{工程物理系}
\cmajor{核科学与技术}
\cauthor{孙嘉龙} 
\csupervisor{余纲林助研}
% 日期自动生成，如果你要自己写就改这个cdate
%\cdate{\CJKdigits{\the\year}年\CJKnumber{\the\month}月}

\etitle{Research on GPU Acceleration Method of Reactor Physics Calculation} 
% 这块比较复杂，需要分情况讨论：
% 1. 学术型硕士
%    \edegree：必须为Master of Arts或Master of Science（注意大小写）
%              “哲学、文学、历史学、法学、教育学、艺术学门类，公共管理学科
%               填写Master of Arts，其它填写Master of Science”
%    \emajor：“获得一级学科授权的学科填写一级学科名称，其它填写二级学科名称”
% 2. 专业型硕士
%    \edegree：“填写专业学位英文名称全称”
%    \emajor：“工程硕士填写工程领域，其它专业学位不填写此项”
% 3. 学术型博士
%    \edegree：Doctor of Philosophy（注意大小写）
%    \emajor：“获得一级学科授权的学科填写一级学科名称，其它填写二级学科名称”
% 4. 专业型博士
%    \edegree：“填写专业学位英文名称全称”
%    \emajor：不填写此项
\edegree{Master of Science} 
\emajor{Nuclear Sicence and Technology} 
\eauthor{Sun Jialong} 
\esupervisor{Lecturer YU Ganglin} 
% \edate{December, 2005}

% 定义中英文摘要和关键字
\begin{cabstract}
GPU（Graphics Processing Unit，图形处理单元）是个人电脑的主要部件之一，
近些年来由于其计算能力大幅提高，成为新兴的科学计算加速途径之一，
甚至出现了包含有GPU的超级计算机。

本文介绍了GPU加速科学计算的发展和它在反应堆物理计算中的应用，
及目前较为成熟的GPU编程技术——CUDA(Compute Unified Device Architecture)
和目前计算能力最高的GPU核心GK110的结构，
以及针对GPU加速的系数矩阵存储格式和线性方程组迭代算法。

本文编写了基于GPU加速的三维扩散有限差分临界/时空动力学求解
程序\ProgramName(\ProgramFullName) ，
程序使用CG算法和源迭代方法求解临界问题，并使用了MultiLevel加速方法，
使用BiCGStab算法求解隐式向后差分离散的时空动力学方程。
其中临界计算部分相对于Citation程序在某些条件下取得了最高272倍的加速效果。
此外，还介绍了\ProgramName 程序使用的基于Lua语言的动力学材料截面输入方式，
并讨论了在兼顾性能和灵活性的条件下时空动力学的输入模块应该如何设计。

本文讨论了不同稀疏矩阵存储格式对程序计算性能的影响，
并比较了在GPU加速条件下，不同迭代算法求解临界问题的优劣。

本文的工作进一步论证了GPU加速技术的优势，并对于三维扩散计算
的GPU加速和相关参数对应性能的影响进行了讨论，
对反应堆物理计算领域的GPU加速方法研究的进展起到了推动作用。

\end{cabstract}

\ckeywords{GPU, 扩散方程, 共轭梯度法, 时空动力学}

\begin{eabstract}

GPU (Graphics Processing Unit) is one of the main components in PC.
 Recently, rapid development of GPU and its high performance make 
 GPU one of the newest acceleration hardware of scientific computing. 
 Some super computers even take GPUs as part of them.

The history of GPU accelerated scientific computing, 
its application in Reactor physics calculation, 
one of the most mature GPU programming technique at present 
-– CUDA (Compute Unified Device Architecture), 
GK110 -- the GPU core which has highest computing performance
in the world, the sparse matrix storage format on GPU memory 
and linear equations solving algorithm on GPU have been 
reviewed or studied in this paper.

\ProgramName (\ProgramFullName) -– a solver for 3-d diffusion
 equation criticality and space-time kinetics problems with
  GPU acceleration, has been developed. Conjugate gradient (CG),
   power iteration and multilevel method have been used in 
   \ProgramName \ to solve criticality problems, and BiCGStab 
   algorithm and full implicit Euler method are utilized for 
   space-time kinetics problems. Compared with Citation, 
   \ProgramName \ achieved 272 times speedup in IAEA PWR 3-d benchmark test.
\ProgramName \ uses Lua language as a part of material data input module,
 and the  input method of material data for space-time kinetics,
  which aims at high performance and flexibility, has been studied. 

The effect of sparse matrix storage format on GPU memory to the performance
 of solvers has been studied. And the performance of
  common Krylov subspace algorithms with GPU acceleration has been compared.

This work further demonstrated the advantages of GPU acceleration
 in scientific computing, studied the application of GPU acceleration
 and related factors, and provides valuable information
 and analysis to research on GPU acceleration of reactor physics calculation.

\end{eabstract}

\ekeywords{GPU, Diffusion Equation, Conjugate Gradient, Space-time Kinetics}
